typedef char bit8;
typedef int bit16;
typedef long bit32;
typedef struct {
        bit32 pos[3];
        bit16 expos[3];
        bit16 view[9];
        bit16 r;
        bit16 d;
        bit16 speed;
        bit16 *shape;
        } bodytype;
typedef struct x {
        bit16 pos[3];
        struct x *next;
        } startype;
typedef struct {
        bit16 pos[3];
        bit16 r;
        bit16 d;
        bit16 colour;
        bit16 type;
        } planettype;
typedef struct {
        char type;
        bit16 x1,y1,x2,y2;
        } atomtype;
#define mul16(x,y) ((bit32)(x) * (bit32)(y))
#define div14(x) (bit16)((x) / 16384)
#define abs(x) (((x) < 0) ? -(x) : (x))
#define SCRX 320
#define SCRY 256
#define VPX1 64
#define VPY1 88
#define VPX2 256
#define VPY2 216
#define MAX_BODY 8
