#include "intlong.h"
bodytype bodies[MAX_BODY];
bit32 ini_pos[3] = {0l,200l*16384l,0l};
bit16 ini_vec[9] = {16384,0,0, 0,16384,0, 0,0,16384};
extern bit16 kcf[];

void copy16(bit16 *s, bit16 *d, bit16 c)
{
  do {
    *d++ = *s++;
    c--;
  } while(c != 0);
}

void copy32(bit32 *s, bit32 *d, bit16 c)
{
  do {
    *d++ = *s++;
    c--;
  } while(c != 0);
}

void update_pos(bodytype *b)
{
  b->expos[0] = div14(b->pos[0]);
  b->expos[1] = div14(b->pos[1]);
  b->expos[2] = div14(b->pos[2]);
}

void clear_bodies(void)
{
  register int i;
  for(i=0; i<MAX_BODY; i++) {
    bodies[i].r = 0;
  }
}

void make_pirates(void)
{
  clear_bodies();
  copy32(ini_pos,bodies[0].pos,3);
  copy16(ini_vec,bodies[0].view,9);
  bodies[0].r = 63;
   bodies[0].speed  =  4;;
   bodies[0].shape = kcf;
   update_pos(&bodies[0]);
}

